-- by dajnet
-- www.simgamealliance.com
-- 11.21.2021
-- Version 1.0


HusbandrySystem.GAME_LIMIT = 32.00000
print("New Animal Husbandry Limit: 32")
ProductionChainManager.NUM_MAX_PRODUCTION_POINTS = 1000
print("New Production Limit: 1000")
MissionManager.ACTIVE_CONTRACT_LIMIT = 10 -- 3
print("New Active Contract Limit: 10")
MissionManager.MAX_MISSIONS = 40 --25

--FertilizeMission.REWARD_PER_HA = 400.000000
--FertilizeMission.REIMBURSEMENT_PER_HA = 1150.000000

--BaleMission.REWARD_PER_HA_HAY = 3000.000000
--BaleMission.REWARD_PER_HA_SILAGE = 3300.000000

--CultivateMission.REWARD_PER_HA = 600.000000

--HarvestMission.REWARD_PER_HA_SMALL = 4800.000000
--HarvestMission.REWARD_PER_HA_WIDE = 1500.000000

--PlowMission.REWARD_PER_HA = 1400.000000
--SowMission.REWARD_PER_HA = 1050.000000

--SprayMission.REWARD_PER_HA = 250.000000
--SprayMission.REIMBURSEMENT_PER_HA = 1000.000000

FillTypeManager.SEND_NUM_BITS = 10

SlotSystem.NUM_OBJECT_LIMITS = {
	[SlotSystem.LIMITED_OBJECT_BALE] = {
		[PlatformId.WIN] = math.huge,
		[PlatformId.MAC] = math.huge,
		[PlatformId.PS4] = 200,
		[PlatformId.PS5] = 200,
		[PlatformId.XBOX_ONE] = 200,
		[PlatformId.XBOX_SERIES] = 200,
		[PlatformId.IOS] = 100,
		[PlatformId.ANDROID] = 100,
		[PlatformId.SWITCH] = 100,
		[PlatformId.GGP] = 200
	},
	[SlotSystem.LIMITED_OBJECT_PALLET] = {
		[PlatformId.WIN] = math.huge,
		[PlatformId.MAC] = math.huge,
		[PlatformId.PS4] = 50,
		[PlatformId.PS5] = 50,
		[PlatformId.XBOX_ONE] = 50,
		[PlatformId.XBOX_SERIES] = 50,
		[PlatformId.IOS] = 50,
		[PlatformId.ANDROID] = 50,
		[PlatformId.SWITCH] = 50,
		[PlatformId.GGP] = 50
	}
}

g_treePlantManager.canPlantTree = function(...)
	local numUnsplit, _ = getNumOfSplitShapes()
    return numUnsplit < 6840+1000 * 1500
end

--[[

THFillTypeManager = {}

function THFillTypeManager:loadMapData(superFunc, ...)
	local ra,rb,rc,rd,re = superFunc(self, ...)

	printf("")
	DebugUtil.printTableRecursively(g_fillTypeManager, nil, nil, 4)
	printf("")

	return ra,rb,rc,rd,re
end

function THFillTypeManager:addFillType(superFunc, ...)
	printf("")
	printf("Number of fillTypes: %s", #self.fillTypes)
	
	printCallstack()
	
	local ra,rb,rc,rd,re = superFunc(self, ...)
	
	local fillTypeInfo = self.fillTypes[#self.fillTypes]
	if fillTypeInfo then
		DebugUtil.printTableRecursively(fillTypeInfo, nil, nil, 2)
	end
	
	printCallstack()
	
	return ra,rb,rc,rd,re
end

FillTypeManager.loadMapData = Utils.overwrittenFunction(FillTypeManager.loadMapData, THFillTypeManager.loadMapData)
--FillTypeManager.addFillType = Utils.overwrittenFunction(FillTypeManager.addFillType, THFillTypeManager.addFillType)

--]]